/* Allgemein */
::-webkit-scrollbar {
    width: 22px;
}

::-webkit-scrollbar-thumb {
    border: 6px solid white;
    background-clip: padding-box;
    border-radius: 9999px;
    background-color: black;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #ab9169;
}

::-webkit-scrollbar-track {
	background: white;
    margin: 10px;
    background: 0 0;
}

html {
  scroll-behavior: smooth;
}

body {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    overflow: overlay;
    scroll-behavior: smooth;
    margin: 0;
    background-attachment: fixed;
}

main {
	min-height: calc(100vh - 120px);
}

#ytplayer {
    max-width: 700px;
    width: 100%;
    aspect-ratio: 16/9;
    height: auto;
}

/* Social Media */
.wp-block-social-links.is-style-logos-only .wp-social-link svg {
    width: 40px;
    height: auto;
}

/* Forms */
input:not([type=checkbox]):not([type=radio]):not([type=file]),
select,
textarea {
    width: 100%;
    min-width: 100px;
    height: 40px;
    border-radius: 12px;
    border: 2px solid var(--wp--preset--color--gahlii-white);
    padding: 5px 10px;
    margin: 0 0 10px;
    outline: none;
    box-sizing: border-box;
	resize: vertical;
}

input:not([type=checkbox]):not([type=radio]):not([type=file]),
select {
    height: 40px!important;
}

input:not([type=checkbox]):not([type=radio]):not([type=submit]):not([type=button]):not([type=file]):hover,
select:hover,
textarea:hover,
input:not([type=checkbox]):not([type=radio]):not([type=submit]):not([type=button]):not([type=file]):focus,
select:focus,
textarea:focus {
    opacity: .7;
}

input:disabled:not([type=checkbox]):not([type=radio]):not([type=submit]):not([type=button]):not([type=file]),
input:disabled:not([type=checkbox]):not([type=radio]):not([type=submit]):not([type=button]):not([type=file]):hover {
    border: 2px solid #615773;
}

input[type="submit"],
input[type="button"] {
	border: none!important;
    cursor: pointer;
    background: var(--wp--preset--color--gahlii-black);
    color: var(--wp--preset--color--gahlii-white);
}

input[type="submit"]:hover,
input[type="button"]:hover {
    border: none!important;
    opacity: 1;
    background: var(--wp--preset--color--gahlii-trans-black)!important;
}

input[type="submit"]:disabled,
input[type="button"]:disabled,
input[type="submit"]:disabled:hover,
input[type="button"]:disabled:hover {
    background: #777676 !important;
    border: 1px solid #777676 ;
}

nf-fields-wrap {
    display: flex;
    flex-wrap: wrap;
    gap: 0 20px;
    align-items: flex-end;
}

nf-field {
    width: calc(50% - 20px);
}

@media only screen and (max-width: 780px) {
	nf-field {
		width: 100%;
	}
}

nf-field:has(textarea)/*, nf-field:has(input[type=submit])*/, nf-field:has(.recaptcha-container) {
    width: 100%;
}

.nf-field-description {
    font-size: 15px;
    margin: 0 0 5px 0;
}

nf-field:has(input[type=submit]) {
    margin: 0 auto;
    width: 200px;
}

.nf-field-description p {
	margin: 0;
}

.nf-field-element li input {
height: 22px;
}

.nf-field-label label {
	position: relative;
}

.nf-field-label label .nf-help {
	position: absolute;
	right: -21px;
	bottom: 50%;
	transform: translate(0, calc(50% - 2px));
}

.nf-repeater-fieldsets fieldset {
	position: relative;
}

.nf-repeater-fieldsets fieldset .nf-remove-fieldset {
	border: none;
	padding: 0 2px 5px 2px;
	position: absolute;
	right: 15px;
	top: 20px;
	aspect-ratio: 1 / 1;
}

input.ninja-forms-field[type=submit] {
    background-color: var(--wp--preset--color--gahlii-black);
    border-radius: 13px;
    border-width: 0;
    color: var(--wp--preset--color--gahlii-white);
    font-family: var(--wp--preset--font-family--league-spartan);
    font-size: 1em;
    height: 45px!important;
    line-height: 1;
    padding: calc(0.667em + 2px) calc(1.333em + 2px);
    text-decoration: none;
    box-sizing: border-box;
    display: inline-block;
}

/* Allgemein */
.no-gap {
	gap: 0!important;
}

h1, h2, h3, h4, h5, p {
    word-wrap: break-word;
}

.wp-block-navigation a:focus {
    text-decoration: none;
}

.wp-block-navigation a:hover, .wp-block-navigation .current-menu-item a {
    text-decoration: none;
	color: #ab9169!important;
}

.wp-block-navigation__responsive-container:not(.is-menu-open) .wp-block-navigation-submenu .current-menu-item a {
	background: #ab9169;
	color: white!important;
}

.is-menu-open .wp-block-navigation-submenu li {
    padding: 10px 0!important;
}

@media only screen and (max-width: 780px) {
	.no-mobile, .hide-on-mobile {
		display: none;
	}
}

.wp-block-navigation__responsive-container-open:not(.always-shown) {
    display: block;
}

.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
    display: none;
}

@media only screen and (min-width: 1150px) {
	.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
		background-color: inherit;
		display: block;
		position: relative;
		width: 100%;
		z-index: auto;
	}
	
	.wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: none;
	}
}

.wp-block-navigation__responsive-container.is-menu-open {
	padding: 20px 20px;
}

/* Kj */
.wp-lightbox-overlay .scrim {
	background-color: rgba(198, 198, 198, 0.52)!important;
	backdrop-filter: blur(2px);
	-webkit-backdrop-filter: blur(2px);
}

.wp-block-media-text>.wp-block-media-text__media {
    margin-bottom: 20px;
    border-radius: 20px;
    overflow: hidden;
}

@media only screen and (max-width: 600px) {
	.wp-block-media-text>.wp-block-media-text__content {
		padding: 0;
	}
}


:where(.wp-site-blocks) > * {
    margin-block-start: 0!important;
    margin-block-end: 0;
}